//
//  Models.swift
//  ALibrary
//
//  Created by Benjamin Pious on 10/24/18.
//  Copyright © 2018 Benjamin Pious. All rights reserved.
//

import UIKit

@objc
public protocol Theme: AnyObject {
    
    var llll_wip_lll: ColorSplash { get }
    
    var iconPrimary: UIColor { get }
    
}

public class ColorSplash: NSObject {
    
    private let baseColor: UIColor = .white
    
    @objc
    public var iconPrimary: UIColor {
        return baseColor.slightlyLighter
    }
    
}

class D: NSObject {
    @objc
    let c_test = ColorSplash()
    @objc
    let e = ColorSplash()
}

extension UIColor {
    
    var slightlyLighter: UIColor {
        return withAlphaComponent(1.0)
    }
    
}
